%define module systemd

Summary:	Python bindings for %{module}
Name:		python-%{module}
Version:	235
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Python
Url:		https://www.freedesktop.org/wiki/Software/systemd
# (cg) Generate from git:
# git archive --format=tar --prefix=python-systemd-${VERSION}/ v${VERSION} | xz > python-systemd-${VERSION}.tar.xz
Source0:        https://github.com/systemd/python-systemd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: pyproject-rpm-macros
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(python3)

%global _description \
Python module for native access to the systemd facilities.\
Functionality includes sending of structured messages to the journal\
and reading journal files, querying machine and boot identifiers and a\
lists of message identifiers provided by systemd. Other functionality\
provided by libsystemd is also wrapped.

%description %_description

%package -n python3-%{module}
Group:         Development/Python
Summary:       Python 3 bindings for %{module}
Conflicts:     %{name} < %{version}-%{release}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module} %_description

%prep
%autosetup -p1

%build
%make_build systemd/id128-constants.h
%make_build systemd/id128-constants.h
%pyproject_wheel

%install
%make_build systemd/id128-constants.h
%pyproject_install
%pyproject_save_files systemd

%files -n python3-%{module} -f %{pyproject_files}


%changelog
* Thu Dec 07 2023 wally <wally> 235-2.mga10
+ Revision: 2015215
- rebuild for py3.12

* Thu Sep 08 2022 neoclust <neoclust> 235-1.mga9
+ Revision: 1885683
- New version 	235

* Wed Apr 13 2022 ovitters <ovitters> 234-10.mga9
+ Revision: 1849262
- fixes Python3.10+ error "SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' formats"

* Thu Mar 24 2022 umeabot <umeabot> 234-9.mga9
+ Revision: 1824912
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 234-8.mga9
+ Revision: 1782267
- rebuild for python-3.10

* Fri Mar 26 2021 ovitters <ovitters> 234-7.mga9
+ Revision: 1710626
- rebuild for Python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 234-6.mga8
+ Revision: 1533392
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 234-5.mga8
+ Revision: 1444173
- rebuild for python3.8

* Sun Sep 15 2019 tv <tv> 234-4.mga8
+ Revision: 1441243
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 05 2019 wally <wally> 234-3.mga7
+ Revision: 1349823
- rebuild for python3.7

* Sun Sep 23 2018 umeabot <umeabot> 234-2.mga7
+ Revision: 1300608
- Mageia 7 Mass Rebuild

* Thu May 10 2018 tv <tv> 234-1.mga7
+ Revision: 1228080
- new release + add source URL
- rename python- submodule as python2-
- rename python- submodule as python2-

* Sat Aug 05 2017 pterjan <pterjan> 230-5.mga7
+ Revision: 1135655
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 230-4.mga6
+ Revision: 1007069
- use new python macros

* Fri Feb 12 2016 umeabot <umeabot> 230-3.mga6
+ Revision: 958694
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 ovitters <ovitters> 230-2.mga6
+ Revision: 887315
- rebuild for new python3

* Thu Jul 09 2015 colin <colin> 230-1.mga6
+ Revision: 853035
- imported package python-systemd

